Subject: Re: gnu: Add linux-libre 6.4
From: Leo Famulari <[email-masked]>
To: [email-masked]
Date: Sat, 15 Jul 2023 14:12:01 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Pushed as 49f74b67a44882d2af0529abf3e60a9c37512f2c

There is, however, still an outstanding problem building linux-libre 6.4
on aarch64 / arm64.

At least on Bordeaux, the build fails consistently like this:

------
  CC [M]  drivers/net/fddi/defxx.mod.o
  CC [M]  drivers/net/fddi/skfp/skfp.mod.o
  OBJCOPY arch/arm64/boot/Image
  AS      arch/arm64/boot/zboot-header.o
make[1]: hexdump: No such file or directory
make[1]: hexdump: No such file or directory
make[1]: hexdump: No such file or directory
make[1]: hexdump: No such file or directory
  PAD     arch/arm64/boot/vmlinux.bin
  CC [M]  drivers/net/wireless/admtek/adm8211.mod.o
truncate: Invalid number: 'arch/arm64/boot/vmlinux.bin'
  CC [M]  drivers/net/wireless/ath/ath5k/ath5k.mod.o
make[1]: *** [drivers/firmware/efi/libstub/Makefile.zboot:13: arch/arm64/boot/vmlinux.bin] Error 1
make[1]: *** Deleting file 'arch/arm64/boot/vmlinux.bin'
  CC [M]  drivers/net/wireless/ath/ath9k/ath9k.mod.o
make: *** [arch/arm64/Makefile:163: vmlinuz.efi] Error 2
make: *** Waiting for unfinished jobs....
------

On IRC, Ricardo had this to say about it:

------
rekado: right above that error is “hexdump: No such file or directory”.  Could it be that it tries to extract a number using hexdump, fails to do so, so there’s an empty variable somewhere, and so it passes the wrong arguments to “truncate”, so that the file name is in the position where a number would be expected?
rekado says: truncate would be called with “-s SIZE FILENAME”, so my guess is that SIZE is the empty string due to an earlier error.
------

I don't have any aarch64 machines with which to test, and the only
feedback I've ever received about the 'linux-libre-6.4' kernel packages
on aarc64 is that they don't work at all, and that one has to instead
use 'linux-libre-arm64-generic'.

So, maybe we should just remove aarch64 support for the
'linux-libre-6.4' packages and tell users to use the generic package. I
don't know.

Aarch64 Guix users should take the lead on this.